Package org.opensaml.core.xml

# Interface IdBearing

public interface IdBearing
Interface for element having a `@xml:id` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`XML_ID_ATTR_LOCAL_NAME`
The `id` attribute local name.
`static final QName`
`XML_ID_ATTR_NAME`
The `xml:id` qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getXMLId()`
Returns the `@xml:id` attribute value.
`void`
`setXMLId(String newId)`
Sets the `@xml:id` attribute value.

## Field Details

### XML_ID_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String XML_ID_ATTR_LOCAL_NAME
The `id` attribute local name.

See Also:
  - Constant Field Values

### XML_ID_ATTR_NAME

@Nonnull static final QName XML_ID_ATTR_NAME
The `xml:id` qualified attribute name.

## Method Details

### getXMLId

@Nullable String getXMLId()
Returns the `@xml:id` attribute value.

Returns:
  The `@xml:id` attribute value or `null`.

### setXMLId

void setXMLId(@Nullable String newId)
Sets the `@xml:id` attribute value.

Parameters:
  `newId` - The `@xml:id` attribute value